## python-larch 0.25

=== debian/changelog ===
python-larch (0.25-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 02 Oct 2011 21:18:26 +0100

python-larch (0.24-1) unstable; urgency=low

  * Install fsck-larch manpage.
  * Weaken python-ttystatus dependency to a recommends, since it's only
    needed by fsck-larch.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 31 Aug 2011 17:15:27 +0100

python-larch (0.23-1) unstable; urgency=low

  * Add dependency on python-ttystatus. Thanks, Jo Shields, for the
    report.
  * Replace Sphinx copy of jquery.js with a symlink.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 19 Aug 2011 19:47:43 +0100

python-larch (0.22-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 03 Aug 2011 15:44:57 +0100

python-larch (0.21-1) unstable; urgency=low

  * New upstream release.
  * Change package to be non-native.
  * Add build-dependency on python-cliapp.
  * fsck-larch manpage build disabled, until ttystatus is in Debian.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 02 Aug 2011 20:00:24 +0100

python-larch (0.20) unstable; urgency=low

  * New upstream release. This is the first release to be uploaded to
    Debian. (Closes: #631864)
  * Package description has been improved.
  * debian/pycompat: removed for being useless.
  * Updated to use dh_python2.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 20 Jul 2011 22:24:18 +0100

python-larch (0.19) squeeze; urgency=low

  * New upstream version.
  * New source package name, due to new upstream name.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 21 Mar 2011 06:29:39 +0000

python-btree (0.18) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 18 Feb 2011 22:10:21 +0000

python-btree (0.17) squeeze; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 13 Feb 2011 16:39:38 +0000

python-btree (0.16.2) squeeze; urgency=low

  * New upstream release.
    - fix all problems with modifying nodes while they are in the upload queue
    - performance has degraded

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Jan 2011 09:51:40 +0000

python-btree (0.16.1) squeeze; urgency=low

  * New upstream release.
    - remove temporary nodes used while splitting a leaf node
    - prevent too-large leaf nodes from getting pushed out of the upload
      queue during splitting
    - introduce explicit maximum size for values stored in the tree
      (slightly less than half the size of a node)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 09 Jan 2011 11:38:16 +0000

python-btree (0.16) squeeze; urgency=low

  * New upstream release.
    - fix bug that resulted in many very small leaf nodes

 -- Lars Wirzenius <liw@liw.fi>  Fri, 07 Jan 2011 22:00:14 +0000

python-btree (0.15) squeeze; urgency=low

  * New upstream release.
    - replace bsearch with bisect, which results in speedups

 -- Lars Wirzenius <liw@liw.fi>  Sun, 02 Jan 2011 21:56:23 +0000

python-btree (0.14) squeeze; urgency=low

  * New upstream release.
  * debian/control: Require at least version 0.4 of python-lru, since that's
    the version that provides the API we need for UploadQueue.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 29 Dec 2010 19:38:04 +0000

python-btree (0.13) squeeze; urgency=low

  * New upstream release.
    - NodeStoreDisk's LRU cache size is user settable

 -- Lars Wirzenius <liw@liw.fi>  Tue, 13 Jul 2010 09:15:33 +1200

python-btree (0.12) squeeze; urgency=low

  * New upstream release.
  * debian/control: Added Python-Version headers.
  * debian/control: Bumped Standards-Version. No other changes required.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Jul 2010 19:13:43 +1200

python-btree (0.11) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 05 Jul 2010 17:27:50 +1200

python-btree (0.10) squeeze; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 29 Jun 2010 15:36:25 +1200

python-btree (0.9) squeeze; urgency=low

  * Add check that setup.py (i.e., btree/__init__.py) and debian/changelog
    agree on version. 
  * Node and NodeCodec have been optimized a bit. 
  * NodeStoreDisk uses small LRU cache to avoid repeatedly reading the same
    nodes from disk. This adds dependency on python-lru.
  * NodeCodec uses four-byte magic cookies, instead of one-byte ones.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 26 May 2010 21:52:22 +1200

python-btree (0.8) squeeze; urgency=low

  * Fix leaf node merging. 

 -- Lars Wirzenius <liw@liw.fi>  Sun, 09 May 2010 18:50:47 +1200

python-btree (0.7) squeeze; urgency=low

  * lookup_range now returns keys in ascending order. 

 -- Lars Wirzenius <liw@liw.fi>  Sun, 09 May 2010 17:49:35 +1200

python-btree (0.6) squeeze; urgency=low

  * Fix lookup_range for case when a node's children contain keys in
    the range, but the first key is not one of them.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 21:05:55 +1200

python-btree (0.5) squeeze; urgency=low

  * Fix emptied forests and empty trees handling. 

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 20:31:55 +1200

python-btree (0.4) squeeze; urgency=low

  * Fix NodeStoreDisk._load_metadata to use self.file_exists instead of
    os.path.exists directly.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 16:21:09 +1200

python-btree (0.3) squeeze; urgency=low

  * Fix RefcountStore to work even without changes. 

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 14:02:14 +1200

python-btree (0.2) squeeze; urgency=low

  * Make NodeStoreDisk sub-classable. 

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 13:19:20 +1200

python-btree (0.1) squeeze; urgency=low

  * Fix packaging so it installs things under /usr, not /. 

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 12:58:47 +1200

python-btree (0.0) squeeze; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 May 2010 11:10:24 +1200
