=== debian/control ===
Source: python-larch
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: python
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.8), python (>= 2.6.6-3~), 
    python-coverage-test-runner, python-tracing, python-sphinx,
    python-cliapp (>= 0.14), python-ttystatus
X-Python-Version: >= 2.6

Package: python-larch
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-tracing, 
    python-cliapp (>= 0.14), libjs-jquery
Recommends: python-ttystatus
Description: B-tree library for Python
 An implementation of a particular kind of B-tree, based on research
 by Ohad Rodeh. This is the same data structure that btrfs uses, but
 in a new, pure-Python implementation.
 .
 The distinctive feature of this B-tree is that a node is never (conceptually)
 modified. Instead, all updates are done by copy-on-write. This makes it
 easy to clone a tree, and modify only the clone, while other processes
 access the original tree.
 .
 The implementation is generic and flexible, so that you may use it in
 a variety of situations. For example, the tree itself does not decide
 where its nodes are stored: you provide a class that does that for it.
 The library contains two implementations, one for in-memory and one
 for on-disk storage.
