## python-larch 1.20121006

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	rm .coverage
 	./insert-remove-test tempdir 100
 	rm -r tempdir larch.log
+	cmdtest tests
 	
 clean:
 	rm -f .coverage *.py[co] larch/*.py[co] insert.prof lookup.prof
