=== debian/changelog ===
python-larch (1.20151025-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Add Homepage: to source stanza.
  * debian/control: Update Standards-Version to 3.9.5. No further
    changes required.
  * Change source format to 3.0 (quilt).

 -- Lars Wirzenius <liw@liw.fi>  Sun, 25 Oct 2015 12:32:05 +0200

python-larch (1.20131130-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 30 Nov 2013 09:50:25 +0000

python-larch (1.20130808-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 08 Aug 2013 21:51:05 +0100

python-larch (1.20130316-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 16 Mar 2013 10:41:30 +0000

python-larch (1.20121216-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 16 Dec 2012 19:00:56 +0000

python-larch (1.20121006-1) unstable; urgency=low

  * New upstream release.
    - Fix "UnboundLocalError: local variable 'new_node' referenced before
      assignment" (Closes: #675818)
  * debian/control: Add missing build-dependency on cmdtest.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Oct 2012 10:27:20 +0100

python-larch (1.20120527-1) unstable; urgency=low

  * New upstream release.
    - New version scheme. Thank you, Joey Hess.
    - The on-disk data structures and file formats are now declared frozen.
      An automatic test has been added to verify that things do not break.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 27 May 2012 11:42:28 +0200

python-larch (0.31-1) unstable; urgency=low

  * New upstream version.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 08 May 2012 22:30:10 +0100

python-larch (0.30-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 29 Apr 2012 20:32:49 +0100

python-larch (0.29-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 15 Apr 2012 20:15:54 +0100

python-larch (0.28-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version bumped. No other changes
    required.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 25 Mar 2012 17:09:50 +0100

python-larch (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 18 Feb 2012 23:26:03 +0000

python-larch (0.26-1) unstable; urgency=low

  * New upstream release.
  * debian/control: change libjs-jquery to Suggests, from Depends. It's only
    needed for API documentation, which most people won't care about.
  * debian/control, debian/python-larch.links: replace embedded underscore.js
    with a symlink.
  * debian/source/format: switch back to the simple 1.0 source format.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 18 Dec 2011 15:35:54 +0000
